## Local deployment with Juju

### Juju local provider setup

    sudo add-apt-repository ppa:juju/stable
    sudo apt update && sudo apt install juju-core

    sudo apt install juju-local

    juju generate-config
    juju switch local
    juju bootstrap

    juju authorized-keys import lp:$YOUR_LAUNCHPAD_USERNAME
    sudo apt install fabric

### Deployment (optional)

    juju deploy juju-gui
    juju expose juju-gui
    juju status

### Deployment

    juju deploy --config ubucon-site.yaml python-django ubucon-site
    juju deploy gunicorn
    juju add-relation ubucon-site gunicorn
    juju deploy postgresql
    juju add-relation ubucon-site postgresql:db
    juju expose ubucon-site

### Configuration

    # Ensure you've got the fabricfile.py checked out
    # It's available from lp:ubucon-site
    fab -l # Will show the $UNIT_NO
    fab -R ubucon-site/$UNIT_NO manage:collectstatic
    fab -R ubucon-site/$UNIT_NO createsuperuser

### Site content

1. Log in as the superuser
2. Add the ubuntudeveloperportal and ubuntudeveloperportal-editors groups
3. Set the group's permissions
4. From here on, you can log in using SSO with the /openid/login URL

