from cms.sitemaps import CMSSitemap
from django.conf.urls import patterns, include, url
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.conf import settings
#from django.conf.urls.static import static

from ubucon_site.views import login_failure, listen_for_login

admin.autodiscover()

urlpatterns = patterns('',
    url(r'^admin/', include(admin.site.urls)),  # NOQA
    url(r'^logout$', 'ubucon_site.views.site_logout', name='logout')
)

urlpatterns += patterns(
    'django_openid_auth.views',
    url(r'^openid/login/$', 'login_begin', name='openid-login',
        kwargs={'render_failure': login_failure}),
    url(r'^openid/complete/$', 'login_complete', name='openid-complete',
        kwargs={'render_failure': login_failure}),
    url(r'^openid/logo.gif$', 'logo', name='openid-logo'),
)
listen_for_login()

urlpatterns += i18n_patterns('',
    url(r'^sitemap\.xml$', 'django.contrib.sitemaps.views.sitemap',
        {'sitemaps': {'cmspages': CMSSitemap}}),
    url(r'^select2/', include('django_select2.urls')),
    url(r'^search/', 'ubucon_site.views.search', name='search'),
    url(r'^', include('cms.urls')),
)

# + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

# This is only needed when using runserver.
#if settings.DEBUG:
#    urlpatterns = patterns('',
#        url(r'^media/(?P<path>.*)$', 'django.views.static.serve',  # NOQA
#            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
#        ) + staticfiles_urlpatterns() + urlpatterns  # NOQA
